TreeReaderFactory.ReaderContext (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class TreeReaderFactory.ReaderContext

- java.lang.Object
- - org.apache.orc.impl.TreeReaderFactory.ReaderContext

- All Implemented Interfaces:
    TreeReaderFactory.Context
  Enclosing class:
    TreeReaderFactory

      public static class TreeReaderFactory.ReaderContext
      extends Object
      implements TreeReaderFactory.Context

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReaderContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TreeReaderFactory.ReaderContext` | `fileFormat(OrcFile.Version version)`
    `boolean` | `fileUsedProlepticGregorian()`
    `ReaderEncryption` | `getEncryption()`
    `OrcFile.Version` | `getFileFormat()`
    `SchemaEvolution` | `getSchemaEvolution()`
    `boolean` | `getUseUTCTimestamp()`
    `String` | `getWriterTimezone()`
    `boolean` | `isSkipCorrupt()`
    `TreeReaderFactory.ReaderContext` | `setEncryption(ReaderEncryption value)`
    `TreeReaderFactory.ReaderContext` | `setProlepticGregorian(boolean file, boolean reader)`
    `TreeReaderFactory.ReaderContext` | `setSchemaEvolution(SchemaEvolution evolution)`
    `TreeReaderFactory.ReaderContext` | `skipCorrupt(boolean skipCorrupt)`
    `boolean` | `useProlepticGregorian()`
    `TreeReaderFactory.ReaderContext` | `useUTCTimestamp(boolean useUTCTimestamp)`
    `TreeReaderFactory.ReaderContext` | `writerTimeZone(String writerTimezone)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReaderContext

          public ReaderContext()

  - ### Method Detail

    - #### setSchemaEvolution

          public TreeReaderFactory.ReaderContext setSchemaEvolution(SchemaEvolution evolution)

    - #### setEncryption

          public TreeReaderFactory.ReaderContext setEncryption(ReaderEncryption value)

    - #### skipCorrupt

          public TreeReaderFactory.ReaderContext skipCorrupt(boolean skipCorrupt)

    - #### useUTCTimestamp

          public TreeReaderFactory.ReaderContext useUTCTimestamp(boolean useUTCTimestamp)

    - #### writerTimeZone

          public TreeReaderFactory.ReaderContext writerTimeZone(String writerTimezone)

    - #### fileFormat

          public TreeReaderFactory.ReaderContext fileFormat(OrcFile.Version version)

    - #### setProlepticGregorian

          public TreeReaderFactory.ReaderContext setProlepticGregorian(boolean file,
                                                                       boolean reader)

    - #### getSchemaEvolution

          public SchemaEvolution getSchemaEvolution()

      Specified by:
        `getSchemaEvolution` in interface `TreeReaderFactory.Context`

    - #### isSkipCorrupt

          public boolean isSkipCorrupt()

      Specified by:
        `isSkipCorrupt` in interface `TreeReaderFactory.Context`

    - #### getUseUTCTimestamp

          public boolean getUseUTCTimestamp()

      Specified by:
        `getUseUTCTimestamp` in interface `TreeReaderFactory.Context`

    - #### getWriterTimezone

          public String getWriterTimezone()

      Specified by:
        `getWriterTimezone` in interface `TreeReaderFactory.Context`

    - #### getFileFormat

          public OrcFile.Version getFileFormat()

      Specified by:
        `getFileFormat` in interface `TreeReaderFactory.Context`

    - #### getEncryption

          public ReaderEncryption getEncryption()

      Specified by:
        `getEncryption` in interface `TreeReaderFactory.Context`

    - #### useProlepticGregorian

          public boolean useProlepticGregorian()

      Specified by:
        `useProlepticGregorian` in interface `TreeReaderFactory.Context`

    - #### fileUsedProlepticGregorian

          public boolean fileUsedProlepticGregorian()

      Specified by:
        `fileUsedProlepticGregorian` in interface `TreeReaderFactory.Context`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.